Xalan-Java 2.7.1: Class XUnresolvedVariableSimple

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class XUnresolvedVariableSimple

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.objects.XObject
                  |
                  +--org.apache.xalan.templates.XUnresolvedVariableSimple

public class XUnresolvedVariableSimple
extends XObject

This is the same as XUnresolvedVariable, but it assumes that the context is already set up. For use with psuedo variables. Also, it holds an Expression object, instead of an ElemVariable. It must only hold static context, since a single copy will be held in the template.

See Also:
  Serialized Form

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

Constructor Summary
`XUnresolvedVariableSimple(ElemVariable obj)`

Method Summary
`XObject` | `execute(XPathContext xctxt)` For support of literal objects in xpaths.
`int` | `getType()` Tell what kind of class this is.
`java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.

Methods inherited from class org.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, bool, boolWithSideEffects, callVisitors, castToType, create, create, deepEquals, destruct, detach, dispatchCharactersEvents, equals, fixupVariables, getFresh, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, num, numWithSideEffects, object, reset, rtf, rtf, rtree, rtree, str, toString, xstr`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XUnresolvedVariableSimple

    public XUnresolvedVariableSimple(ElemVariable obj)

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  For support of literal objects in xpaths.
  Parameters:
    `xctxt` - The XPath execution context.
  Returns:
    This object.
  Throws:
    TransformerException -
  Overrides:
    execute in class XObject

### getType

    public int getType()

  Tell what kind of class this is.
  Returns:
    CLASS_UNRESOLVEDVARIABLE
  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.
  Returns:
    An informational string.
  Overrides:
    getTypeString in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.